<template>
  <v-navigation-drawer
    app 
    floating
    color="primary"
    permanent
    dark
    :src="bg"
  >
    <v-list
      dense
      nav
      class="py-0"
    >
      <v-list-item>
        <v-list-item-avatar size="120" style="margin:10px auto">
          <v-img align="center" :src="userImg"></v-img>
        </v-list-item-avatar>
      </v-list-item>

      <v-list-item align="center" two-line>
        <v-list-item-content>
          <v-list-item-title>{{ $store.state.user.nombres +' ' + $store.state.user.apellidoPat }}</v-list-item-title>
          <v-list-item-subtitle>{{ $store.state.role.name }}</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>

      <v-divider></v-divider>
      <v-list-item-group v-model="selectedItem">
        <v-list-item
          v-for="item in $store.state.role.options"
          :key="item.title"
          link
          :to="item.link"
          color="secondary"
        >
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
      <v-divider></v-divider>

      <v-list-item link @click="logout()">
        <v-list-item-content>
          <v-list-item-title>Cerrar Sesión</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
<script>
  export default {
    data () {
      return {
        selectedItem:null,
        bg: ' /images/fondoazul.png',
        options:[
          //{ title: 'Configuraciones' },
          { title: 'Cerrar Sesión', link: '/' }
        ]
      }
    },
    computed:{
      userImg(){
        let avatar = this.$store.state.user.avatar
        return avatar || '/images/user2.png'
      }
    },
    methods:{
      logout(){
        this.$store.dispatch('logout')
        this.$router.go()
      }
    }
  }
</script>
<style scoped lang="scss">
$square: 100px;
.v-list-item__subtitle{
  white-space: normal;
}
</style>
